<form (ngSubmit)="onSubmit()"
      [formGroup]="form"
      [solidifyFocusFirstElement]="true"
>

  <solidify-detail-presentation [centerTemplate]="centerTemplate"
                                [iconName]="iconNameEnum.preservationPolicies"
                                [rightTemplate]="rightTemplate"
  ></solidify-detail-presentation>

  <ng-template #centerTemplate>

    <mat-form-field *ngIf="getFormControl(formDefinition.name) as fd"
                    [appearance]="appearanceInputMaterial"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{labelTranslateEnum.nameLabel | translate }}</mat-label>
      <input [formControl]="fd"
             [required]="formValidationHelper.hasRequiredField(fd)"
             [solidifyValidation]="errors"
             [solidifyAutoFocus]="true"
             matInput
      >
      <mat-error #errors
                 solidifyTooltipOnEllipsis
      ></mat-error>
    </mat-form-field>

    <dlcm-shared-preservation-duration [formControl]="getFormControl(formDefinition.retention)"
                                       [readonly]="readonly"
    ></dlcm-shared-preservation-duration>

  </ng-template>

  <ng-template #rightTemplate>

    <mat-checkbox [formControlName]="formDefinition.dispositionApproval"
                  color="primary"
                  class="disposal-approval-checkbox"
    >{{labelTranslateEnum.disposalApproval | translate }}</mat-checkbox>

    <mat-form-field *ngIf="getFormControl(formDefinition.mainStorage) as fd"
                    [appearance]="appearanceInputMaterial"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    [matTooltip]="labelTranslateEnum.mainStorageTooltip | translate"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{labelTranslateEnum.mainStorage | translate}}</mat-label>
      <mat-select [formControl]="fd"
                  [solidifyValidation]="errors"
      >
        <mat-option *ngFor="let storage of listStoragions"
                    [value]="+storage.key"
                    solidifyTooltipOnEllipsis
        >
          {{labelTranslateEnum.storagionInjectNumber | translate: {number: storage.value} }}
        </mat-option>
      </mat-select>
      <mat-error #errors
                 solidifyTooltipOnEllipsis
      ></mat-error>
    </mat-form-field>

  </ng-template>

  <dlcm-shared-additional-information-panel-container *ngIf="model | isNotNullNorUndefined"
                                                      [resource]="model"
  >
  </dlcm-shared-additional-information-panel-container>
</form>
